Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class ReplicationMode

    java.lang.Object
      org.hibernate.ReplicationMode

All Implemented Interfaces:
  Serializable

    public abstract class ReplicationMode

extends Object
implements Serializable

Represents a replication strategy.

Author:
  Gavin King
See Also:
  `Session.replicate(Object, ReplicationMode)`, Serialized Form

Field Summary
`static ReplicationMode` | `EXCEPTION` Throw an exception when a row already exists.
`static ReplicationMode` | `IGNORE` Ignore replicated entities when a row already exists.
`static ReplicationMode` | `LATEST_VERSION` When a row already exists, choose the latest version.
`static ReplicationMode` | `OVERWRITE` Overwrite existing rows when a row already exists.

Constructor Summary
`ReplicationMode(String name)`

Method Summary
`abstract boolean` | `shouldOverwriteCurrentVersion(Object entity, Object currentVersion, Object newVersion, VersionType versionType)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXCEPTION

    public static final ReplicationMode EXCEPTION

  Throw an exception when a row already exists.

### IGNORE

    public static final ReplicationMode IGNORE

  Ignore replicated entities when a row already exists.

### OVERWRITE

    public static final ReplicationMode OVERWRITE

  Overwrite existing rows when a row already exists.

### LATEST_VERSION

    public static final ReplicationMode LATEST_VERSION

  When a row already exists, choose the latest version.

Constructor Detail

### ReplicationMode

    public ReplicationMode(String name)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### shouldOverwriteCurrentVersion

    public abstract boolean shouldOverwriteCurrentVersion(Object entity,
                                                          Object currentVersion,
                                                          Object newVersion,
                                                          VersionType versionType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD